#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment(decoration="; ") }}

[{{ item.name | mandatory }}]
user = {{ item.user | mandatory }}
group = {{ item.group | mandatory }}

listen = {{ item.listen | default("/run/php/" ~ item.name | mandatory ~ ".sock") }}
listen.owner = {{ item.listen_user | default(item.user | mandatory) }}
listen.group = {{ item.listen_group | default(item.group | mandatory) }}
listen.mode = {{ item.listen_mode | default('0660') }}

pm = {{ item.pm | default('dynamic') }}
pm.max_children = {{ item.pm_max_children | default(4) }}

{% if item.directive is defined %}
{% for directive in item.directive %}
{{ directive.name | mandatory }} = {{ directive.value | mandatory }}
{% endfor %}
{% endif %}
